com.amazon.redshift.plugin.utils

## Class RequestUtils

- java.lang.Object
- - com.amazon.redshift.plugin.utils.RequestUtils

    public class RequestUtils
    extends Object

Http Request utils.

### Method Summary

All Methods Static Methods Concrete Methods
`static StsClient` `buildSts(String stsEndpoint, String region, StsClientBuilder stsClientBuilder, AwsCredentialsProvider p, RedshiftLogger log)`
`static ProxyConfiguration` `getProxyConfiguration(RedshiftLogger log)`
`static boolean` `isCredentialExpired(Date expiryTime)`
`static boolean` `isCredentialExpired(Instant expiryTime)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### buildSts

    public static StsClient buildSts(String stsEndpoint,
                                     String region,
                                     StsClientBuilder stsClientBuilder,
                                     AwsCredentialsProvider p,
                                     RedshiftLogger log)
                              throws Exception

Throws:
  `Exception`

#### getProxyConfiguration

    public static ProxyConfiguration getProxyConfiguration(RedshiftLogger log)

#### isCredentialExpired

    public static boolean isCredentialExpired(Date expiryTime)

#### isCredentialExpired

    public static boolean isCredentialExpired(Instant expiryTime)